org.apache.hc.client5.http.methods

## Class AbstractExecutionAwareRequest

- java.lang.Object
- - org.apache.hc.core5.http.message.HeaderGroup
  - - org.apache.hc.core5.http.message.AbstractHttpMessage
    - - org.apache.hc.client5.http.methods.AbstractExecutionAwareRequest

All Implemented Interfaces:
  Serializable, HttpExecutionAware, org.apache.hc.core5.http.HttpMessage<org.apache.hc.core5.http.HttpEntity>, org.apache.hc.core5.http.HttpRequest, org.apache.hc.core5.http.MessageHead

Direct Known Subclasses:
  HttpRequestBase

    public abstract class AbstractExecutionAwareRequest
    extends org.apache.hc.core5.http.message.AbstractHttpMessage
    implements HttpExecutionAware, org.apache.hc.core5.http.HttpRequest

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `AbstractExecutionAwareRequest()`

### Method Summary

Methods
`void` `abort()`
`void` `completed()`
`boolean` `isAborted()`
`void` `reset()` Resets internal state of the request making it reusable.
`void` `setCancellable(org.apache.hc.core5.concurrent.Cancellable cancellable)` Sets `Cancellable` for the ongoing operation.

### Methods inherited from class org.apache.hc.core5.http.message.AbstractHttpMessage

`addHeader, getEntity, setEntity, setHeader`

### Methods inherited from class org.apache.hc.core5.http.message.HeaderGroup

`addHeader, clear, containsHeader, containsHeaders, getAllHeaders, getCondensedHeader, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeaders, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.HttpRequest

`getRequestLine`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getEntity, getProtocolVersion, removeHeader, removeHeaders, setEntity, setHeader, setHeader, setHeaders`

### Methods inherited from interface org.apache.hc.core5.http.MessageHead

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator`

### Constructor Detail

#### AbstractExecutionAwareRequest

    protected AbstractExecutionAwareRequest()

### Method Detail

#### abort

    public void abort()

#### isAborted

    public boolean isAborted()

Specified by:
  `isAborted` in interface `HttpExecutionAware`

#### setCancellable

    public void setCancellable(org.apache.hc.core5.concurrent.Cancellable cancellable)

Description copied from interface: `HttpExecutionAware`
Sets `Cancellable` for the ongoing operation.

Specified by:
  `setCancellable` in interface `HttpExecutionAware`
Since:
  4.2

#### completed

    public void completed()

Since:
  4.2

#### reset

    public void reset()

Resets internal state of the request making it reusable.

Since:
  4.2